Rensei docs
API ReferenceWorkflows

List workflows in the authenticated org.

List workflows in the authenticated org. - Rensei REST API operation reference.

GET
/api/workflows

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Query Parameters

projectId?string
scope?string

'org' | 'project'

projectSlug?string
usesGroup?string

Filter to workflows invoking the given group slug.

Response Body

application/json

curl -X GET "https://example.com/api/workflows"
{
  "workflows": [
    {
      "id": "string",
      "workspaceId": "string",
      "orgId": "string",
      "projectId": "string",
      "name": "string",
      "description": "string",
      "status": "string",
      "nodes": [
        null
      ],
      "edges": [
        null
      ],
      "viewport": null,
      "definitionYaml": "string",
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "projectScope": [
        "string"
      ],
      "archivedAt": "string",
      "brokenReason": null
    }
  ]
}
Empty
Empty